Summary: Perl extension for Network Kanji Filter
Name: perl-NKF
Version: 1.71
Release: 7
Copyright: BSD
Group: Applications/Text
Source: ftp://ftp.ie.u-ryukyu.ac.jp/pub/software/kono/nkf171.shar
Patch: nkf171-makefile.diff
BuildPreReq: perl >= 5.8.0
Buildroot: /var/tmp/nkf-%{version}-root

%description
This is a Perl Extension version of nkf (Netowrk Kanji Filter ) 1.7.
It converts the last argument and return converted result. Conversion
details are specified by flags before the last argument.

%prep
%setup -T -c
cp $RPM_SOURCE_DIR/nkf171.shar .
sh nkf171.shar
%patch -p1 -b .perl580

%build
make CC="gcc" CFLAGS="$RPM_OPT_FLAGS" PERL="perl" nkf perl
./nkf -e -O nkf.1j
mv nkf.out nkf.1j
gzip -9 nkf.1 nkf.1j

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1,man/ja/man1}
install -s -m 755 nkf $RPM_BUILD_ROOT/usr/bin
install -m 644 nkf.1.gz $RPM_BUILD_ROOT/usr/man/man1
install -m 644 nkf.1j.gz $RPM_BUILD_ROOT/usr/man/ja/man1/nkf.1.gz
(cd NKF;
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make DESTDIR=$RPM_BUILD_ROOT install
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/perl5/site_perl/*/*-linux-*/NKF.pm
/usr/lib/perl5/site_perl/*/*-linux-*/auto
/usr/share/man/man3/NKF.3pm.gz

%changelog
* Thu Aug 15 2002 Tim Powers <timp@redhat.com>
- fix file list so that man pages are picked up from the correct place

* Mon Jun 24 2002 Yukihiro Nakai <ynakai@redhat.com>
- Add perl 5.8.0 fix (#67001)

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon Aug 07 2000 Yukihiro Nakai <ynakai@redhat.com>
- Initial release
